## devscripts 2.16.1~bpo8+1

=== debian/changelog ===
devscripts (2.16.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- James McCoy <jamessan@debian.org>  Thu, 18 Feb 2016 21:41:35 -0500

devscripts (2.16.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * uscan:
    - fix regression in uscan when --destdir is set (Closes: #809662)
      Patch by Alex Mestiashvili <mailatgoogl@gmail.com>
    - fix crash when --rename is passed  (Closes: #812417)
    - when scanning for directories called 'debian', ignore the ones that
      don't have a file called 'watch'. This removes several annoying warnings
      when uscan is run on a package that has several directories called
      'debian' in its upstream source.
    - fix English phrases when logging download-related actions
  * mk-build-deps:
    - When installing, pass `-o Debug::pkgProblemResolver=yes` to `apt-get
      install` so that when build dependencies can't be satisfied, you know why.
      Otherwise it would just tell you that the *-build-deps package needs to
      be removed and you will never know why.
  * debian/control:
    - change Vcs-Git: to a https:// URL

  [ James McCoy ]
  * checkbashisms:
    + Recognize dash as a valid shell.
    + Check scripts which use “#!/path/to/env $interpreter”
    + Allow %b as a printf conversion specifier.  Thanks to Mike Frysinger for
      the patch.  (Closes: #804735)
  * debian/tests/control: Add gcc as a dependency for dpkg-architecture.
  * chdist:
    + Symlink, rather than copy, the archive keyrings into the chdist tree so
      they don't get stale.  (Closes: #783497)
  * test_package_lifecycle: Ignore listing of dh_* commands in debuild output.
    The specific commands aren't interesting, so much as the steps that the
    build goes through.  Fixes FTBFS due to new dh_update_autotools_config
    command.  (Closes: #812661)
  * dd-list:
    + Use apt interfaces to find sources files and extract their contents,
      instead of globbing and directly reading files.
  * dcmd:
    + Support .buildinfo files.  Thanks to Johannes Schauer for the patch.
      (Closes: #774554)
  * debsnap:
    + Remove use of JSON module in favor of the core Perl JSON::PP module.
      Thanks to RjY and Jakub Wilk.  (Closes: #803315)
  * dep3changelog:
    + Recognize https URLs for Bug-Debian.  (Closes: #750024)

  [ Christoph Berg ]
  * debcheckout: Add auth mapping for https://github.com.

  [ Osamu Aoki ]
  * uscan:
    + Fix regressions and glitches in the prioritizing mechanism of packages.
      (Closes: #809604)
    + Fix regressions of the verbosety. (Closes: #809541, #809554)
    + Keep the original compressed file when decompressing it for the
      signature verification. (Closes: #812860)
    + Write *.uscan.log only when requested by --log. (Closes: #809806)
    + Fix syntax of GitHub watch file example.  (Closes: #814447)
  * uscan, mk-origtargz:
    + Document Files-Excluded better.  (Closes: #812119)

  [ Dominique Dumont ]
  * licensecheck:
    + detect LGPL license in Perl files handled by Dist::Zilla

 -- James McCoy <jamessan@debian.org>  Thu, 11 Feb 2016 21:07:17 -0500

devscripts (2.15.10) unstable; urgency=low

  [ Benjamin Drung ]
  * test_uscan: Fix failure in testFileExclusion due to wrong tarfile name
    test on Ubuntu.

  [ Nicholas Bamber ]
  * Fixed issues with current bash completion (Closes: #804492)
    + Reorganised scripts/Makefile so that bash completion scripts
      are installed matching their command names - an exception being the
      generic pkgnames.bash_completion.
    + Where necessary added links to bash completion scripts
      to debian/links to reuse bash completion code
    + Removed deprecated "have" mechanism from bash completion scripts.
    + Removed undefined "$filenames" from chdist.bash_completion
    + Split debi.bash_completion off from pkgnames.bash_completion
      and added links for both debi/debc and corrected complete commands
  * Added custom bash completion support for bts (Closes: #499886)
    + Added --soap-timeout option to bts
    + Added listcachedbugs command to bts
    + Split out bts bash completion handling into its own script
  * Added custom bash completion support for debuild, checkbashisms,
    list-unreleased, dscverify, dscextract, what-patch, plotchangelog,
    debdiff and licensecheck
  * Updated custom bash completion handling for mk-origtargz
  * Added debcheckout to those commands with package names bash completion
  * licensecheck:
    + Tweaked parselicense to capture 'and or' as well as
      'and/or' in GPL licenses (Closes: #559429)
    + Added test for licensecheck versus Software::License
    + Resolved failure to find license from Software::License generated
      files from Artistic and Mozilla licenses
  * Added test for life cycle of package:
    + debuild, dscverify, dscextract, list-unreleased, debdiff
  * Rearranged cleanup of tests to use oneTimeSetUp/oneTimeTearDown
  * Streamlined structure of test/Makefile
  * Updated .gitignore

  [ Dominique Dumont ]
  * licensecheck:
    + no longer attempts to find encoding or select files to parse
      using 'file' commands. By default, files are selected using file
      extension instead of MIME types provided by "file" command.  The
      list of file extensions is more boring to maintain but also more
      predictable.  (Closes: #803724)
    + added --encoding option. By default, input files are handled as utf-8
      Information is printed on STDOUT as utf-8.
    + --text option is deprecated
    + added freetype license
    + remove 'by' from copyright owners
    + remove whitespace from end of multi-line copyright statements
    + parse multi-line copyright blocks (Closes: #519080)
    + parse .lisp file (part of #806424)
    + added LLGPL license (part of #806424)
    + licensecheck: show skipped file with --skipped (Closes: #806424)
    + also parse last 5kb of a file
    + parse source file without suffix (e.g script, README)
    + parse .css or .less file


=== debian/control ===
Source: devscripts
Section: devel
Priority: optional
Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
Uploaders: James McCoy <jamessan@debian.org>,
           Martin Zobel-Helas <zobel@debian.org>,
           Patrick Schoenfeld <schoenfeld@debian.org>,
           Ryan Niebur <ryanryan52@gmail.com>,
           Benjamin Drung <bdrung@debian.org>
Standards-Version: 3.9.6
Build-Depends: bash-completion,
               debhelper (>= 9),
               docbook-xsl,
               dpkg-dev (>= 1.17.0),
               file,
               gnupg | gnupg2,
               libdistro-info-perl,
               libfile-desktopentry-perl,
               libsoftware-license-perl,
               libtimedate-perl,
               libuniversal-require-perl,
               liburi-perl,
               libwww-perl,
               lsb-release,
               mozilla-devscripts,
               perl,
               pkg-config,
               po4a (>= 0.40),
               pylint,
               python3-all,
               python3-debian (>= 0.1.15),
               python3-flake8,
               python3-magic,
               python3-setuptools,
               shunit2 (>= 2.1.6),
               unzip,
               wdiff,
               xsltproc,
               xz-utils,
               zip
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devscripts.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git

Package: devscripts
Architecture: any
Multi-Arch: foreign
Depends: dpkg-dev (>= 1.17.0),
         ${misc:Depends},
         ${perl:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: apt,
            at,
            dctrl-tools,
            dput | dupload,
            fakeroot,
            file,
            gnupg | gnupg2,
            libdistro-info-perl,
            libencode-locale-perl,
            liburi-perl,
            libwww-perl,
            lintian,
            man-db,
            patch,
            patchutils,
            python3-debian (>= 0.1.15),
            python3-magic,
            sensible-utils,
            strace,
            unzip,
            wdiff,
            wget | curl,
            xz-utils,
            ${vendor:Recommends}
Suggests: bsd-mailx | mailx,
          build-essential,
          cvs-buildpackage,
          debbindiff,
          devscripts-el,
          gnuplot,
          gpgv | gpgv2,
          libauthen-sasl-perl,
          libfile-desktopentry-perl,
          libnet-smtp-ssl-perl,
          libterm-size-perl,
          libtimedate-perl,
          libyaml-syck-perl,
          mozilla-devscripts,
          mutt,
          ssh-client,
          svn-buildpackage,
          w3m,
          ${vendor:Suggests}
Breaks: ubuntu-dev-tools (<< 0.147~)
Replaces: ubuntu-dev-tools (<< 0.124~)
Description: scripts to make the life of a Debian Package maintainer easier
 Contains the following scripts, dependencies/recommendations shown in
 brackets afterwards:
 .
  - annotate-output: run a command and prepend time and stream (O for stdout,
    E for stderr) for every line of output
  - archpath: print tla/Bazaar package names [tla | bazaar]
  - bts: a command-line tool for manipulating the BTS [www-browser,
    libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, liburi-perl,
    libwww-perl, bsd-mailx | mailx]
  - build-rdeps: search for all packages that build-depend on a given package
    [dctrl-tools]
  - chdist: tool to easily play with several distributions [dctrl-tools]
  - checkbashisms: check whether a /bin/sh script contains any common
    bash-specific contructs
  - cowpoke: upload a Debian source package to a cowbuilder host and build it,
    optionally also signing and uploading the result to an incoming queue
    [ssh-client]
  - cvs-debi, cvs-debc: wrappers around debi and debc respectively (see below)
    which allow them to be called from the CVS working directory
    [cvs-buildpackage]
  - cvs-debrelease: wrapper around debrelease which allows it to be called
    from the CVS working directory [cvs-buildpackage, dupload | dput,
    ssh-client]
  - cvs-debuild: wrapper for cvs-buildpackage to use debuild as its package
    building program [cvs-buildpackage, fakeroot, lintian, gnupg | gnupg2]
  - dcmd: run a given command replacing the name of a .changes or .dsc file
    with each of the files referenced therein
  - dcontrol: remotely query package and source control files for all Debian
    distributions [liburl-perl, libwww-perl]
  - dd-list: given a list of packages, pretty-print it ordered by maintainer
  - debc: display the contents of just-built .debs
  - debchange/dch: automagically add entries to debian/changelog files
    [libdistro-info-perl, libsoap-lite-perl]
  - debcheckout: checkout the development repository of a Debian package
  - debclean: clean a Debian source tree [fakeroot]
  - debcommit: commit changes to cvs, darcs, svn, svk, tla, bzr, git, or hg,
    basing commit message on changelog [cvs | darcs | subversion | svk | tla |
    bzr | git-core | mercurial, libtimedate-perl]
  - debdiff: compare two versions of a Debian package to check for
    added and removed files. Use the debbindiff package for deep comparisons.
    [wdiff, patchutils]
  - debi: install a just-built package
  - debpkg: dpkg wrapper to be able to manage/test packages without su
  - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
  - debsign, debrsign: sign a .changes/.dsc pair without needing any of
    the rest of the package to be present; can sign the pair remotely
    or fetch the pair from a remote machine for signing [gnupg | gnupg2,
    debian-keyring, ssh-client]
  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl]
  - debuild: wrapper to build a package without having to su or worry
    about how to invoke dpkg to build using fakeroot.  Also deals
    with common environment problems, umask etc. [fakeroot, lintian,
    gnupg | gnupg2]
  - deb-reversion: increase a binary package version number and repacks the
    package, useful for porters and the like
  - dep3changelog: generate a changelog entry from a DEP3-style patch header
  - desktop2menu: given a freedesktop.org desktop file, generate a skeleton
    for a menu file [libfile-desktopentry-perl]
  - dget: download Debian source and binary packages [wget | curl]
  - diff2patches: extract patches from a .diff.gz file placing them under
    debian/ or, if present, debian/patches [patchutils]
  - dpkg-depcheck, dpkg-genbuilddeps: determine the packages used during
    the build of a Debian package; useful for determining the Build-Depends
    control field needed [build-essential, strace]
  - dscextract: extract a single file from a Debian source package [patchutils]
  - dscverify: verify the integrity of a Debian package from the
    .changes or .dsc files [gnupg | gnupg2, debian-keyring, libdigest-md5-perl]
  - edit-patch: add/edit a patch for a source package and commit the changes
    [quilt | dpatch | cdbs]
  - getbuildlog: download package build logs from Debian auto-builders [wget]
  - grep-excuses: grep the update_excuses.html file for your packages
    [libterm-size-perl, wget, w3m]
  - licensecheck: attempt to determine the license of source files
  - list-unreleased: search for unreleased packages
  - manpage-alert: locate binaries without corresponding manpages [man-db]
  - mass-bug: mass-file bug reports [bsd-mailx | mailx]
  - mergechanges: merge .changes files from the same release but built
    on different architectures
  - mk-build-deps: given a package name and/or control file, generate a binary
    package which may be installed to satisfy the build-dependencies of the
    given package [equivs]
  - mk-origtargz: rename upstream tarball, optionally changing the compression
    and removing unwanted files [unzip, xz-utils, file]
  - namecheck: check project names are not already taken
  - nmudiff: mail a diff of the current package against the previous version
    to the BTS to assist in tracking NMUs [patchutils, mutt]
  - origtargz: fetch the orig tarball of a Debian package from various sources,
    and unpack it
  - plotchangelog: view a nice plot of the data in a changelog file
    [libtimedate-perl, gnuplot]
  - pts-subscribe: subscribe to the PTS for a limited period of time
    [bsd-mailx | mailx, at]
  - rc-alert: list installed packages which have release-critical bugs
    [wget | curl]
  - rmadison: remotely query the Debian archive database about packages
    [liburi-perl, wget | curl]
  - sadt: run DEP-8 tests [python3-debian]
  - suspicious-source: output a list of files which are not common source
    files [python3-magic]
  - svnpath: print Subversion repository paths [subversion]
  - tagpending: run from a Debian source tree and tag bugs that are to be
    closed in the latest changelog as pending [libsoap-lite-perl]
  - transition-check: check a list of source packages for involvement in
    transitions for which uploads to unstable are currently blocked
    [libwww-perl, libyaml-syck-perl]
  - uscan: scan upstream sites for new releases of packages [gpgv | gpgv2,
    gnupg |gnupg2, liblwp-protocol-https-perl, libwww-perl, unzip,
    xz-utils, file]
  - uupdate: integrate upstream changes into a source package [patch]
  - what-patch: determine what patch system, if any, a source package is using
    [patchutils]
  - whodepends: check which maintainers' packages depend on a package
  - who-uploads: determine the most recent uploaders of a package to the Debian
    archive [gnupg | gnupg2, debian-keyring, debian-maintainers, wget]
  - wnpp-alert: list installed packages which are orphaned or up for adoption
    [wget | curl]
  - wnpp-check: check whether there is an open request for packaging or
    intention to package bug for a package [wget | curl]
  - who-permits-upload: Retrieve information about Debian Maintainer access
    control lists [gnupg | gnupg2, libencode-locale-perl, libwww-perl,
    debian-keyring]
  - wrap-and-sort: wrap long lines and sort items in packaging files
    [python3-debian]
 .
 Also included are a set of example mail filters for filtering mail
 from Debian mailing lists using exim, procmail, etc.

## devscripts 2.16.2ubuntu3

=== po4a/Makefile ===
include ../Makefile.common
GEN_TR_MAN1S := $(patsubst %.1,fr/%.fr.1,$(GEN_MAN1S))
GEN_TR_MAN1S += $(patsubst %.1,de/%.de.1,$(GEN_MAN1S))

all: translate
# GEN_TR_MAN1S needs translate finished, serialize the calls
	@$(MAKE) -C . transform
transform: $(GEN_TR_MAN1S)

translate: ../scripts/devscripts.1
	po4a --previous --no-backups --keep=0 devscripts-po4a.conf
	touch translate

clean: ../scripts/devscripts.1
	po4a --previous --rm-translations --no-backups devscripts-po4a.conf
	rm -f $(GEN_TR_MAN1S) translate
	rm -rf de fr

../scripts/devscripts.1:
	# po4a translate and clean need ../scripts/devscripts.1, rebuild it
	$(MAKE) -C ../scripts/ devscripts.1

de/%.de.1: de/%.de.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian-Hilfswerkzeuge" $< > $@
de/%.de.1: de/%.de.pod translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian-Hilfswerkzeuge" $< > $@
de/%.de.1: de/%.de.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv de/$*.1 $@

fr/%.fr.1: fr/%.fr.pl translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.pod translate
	podchecker $<
	pod2man --utf8 --center=" " --release="Utilitaires Debian" $< > $@
fr/%.fr.1: fr/%.fr.dbk translate
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
# xsltproc writes out to foo.1 even if you tell it to do otherwise, so we have
# to rename the file after it's generated
	mv fr/$*.1 $@

=== scripts/Makefile ===

include ../Makefile.common
DESTDIR =

define \n


endef

VERSION_FILE = ../version
VERSION := $(shell cat $(VERSION_FILE))

PL_FILES := $(wildcard *.pl)
SH_FILES = $(wildcard *.sh)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -std=c99
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
CWRAPPERS = debpkg-wrapper
SCRIPTS = $(patsubst %.pl,%,$(PL_FILES)) $(patsubst %.sh,%,$(SH_FILES))
COMPL_FILES := $(wildcard *.bash_completion)
BC_BUILD_DIR:=bash_completion
COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
PKGNAMES:=wnpp-alert wnpp-check mk-build-deps rmadison mass-bug debsnap dd-list build-rdeps who-uploads transition-check getbuildlog dcontrol grep-excuses rc-alert whodepends dget pts-subscribe pts-unsubscribe debcheckout
PYTHON3_SCRIPTS:=sadt suspicious-source wrap-and-sort

GEN_MAN1S += devscripts.1 mk-origtargz.1 uscan.1

all: $(SCRIPTS) $(GEN_MAN1S) $(CWRAPPERS) $(COMPLETION)

$(VERSION_FILE):
	$(MAKE) -C .. version

%: %.sh

debchange: debchange.pl $(VERSION_FILE)
	cp $< $@
	sed -i "s/###VERSION###/$(VERSION)/" $@
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
# On Ubuntu always default to targeting the release that it's built on,
# not the current devel release, since its primary use on stable releases
# will be for preparing PPA uploads.
	sed -i 's/get_ubuntu_devel_distro()/"$(shell lsb_release -cs)"/' $@
endif
	perl -I ../lib -c $@

%.tmp: %.sh $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	bash -n $@
%.tmp: %.pl $(VERSION_FILE)
	sed -e "s/###VERSION###/$(VERSION)/" $<  > $@
	perl -I ../lib -c $@
%: %.tmp
	cp $< $@
	chmod +x $@

%.1: %.pl
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.pod
	podchecker $<
	pod2man --utf8 --center=" " --release="Debian Utilities" $< > $@
%.1: %.dbk
	xsltproc --nonet -o $@ \
	  /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

# There is a slight chance this gets called twice, once here from here and once
# from ../po4a/Makefile. Treat files with care.
PID := $(shell echo $$$$-$$PPID)
devscripts.1: devscripts.1.in
	cat $< > $@.$(PID)
	perl ../debian/genmanpage.pl >> $@.$(PID)
	mv $@.$(PID) $@

$(BC_BUILD_DIR):
	mkdir $(BC_BUILD_DIR)

$(COMPLETION): $(BC_BUILD_DIR)/% : %.bash_completion $(BC_BUILD_DIR)
	cp $< $@

clean:
	python3 setup.py clean -a
	find -name '*.pyc' -delete
	find -name __pycache__ -delete
	rm -rf devscripts.egg-info $(BC_BUILD_DIR)
	rm -f $(SCRIPTS) $(patsubst %,%.tmp,$(SCRIPTS)) \
		$(GEN_MAN1S) $(SCRIPT_LIBS) $(CWRAPPERS)

test:
	python3 -m flake8 --max-line-length=99 $(PYTHON3_SCRIPTS)
	$(foreach python,$(shell py3versions -r ../debian/control),$(python) setup.py test$(\n))

install: all
	python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cp $(SCRIPTS) $(DESTDIR)$(BINDIR)
	ln -sf edit-patch $(DESTDIR)$(BINDIR)/add-patch
	install -d $(DESTDIR)$(COMPL_DIR)
	cp $(BC_BUILD_DIR)/* $(DESTDIR)$(COMPL_DIR)/
	for i in $(PKGNAMES); do                        \
	    ln -sf pkgnames $(DESTDIR)$(COMPL_DIR)/$$i;  \
	done
	ln -sf debchange $(DESTDIR)$(COMPL_DIR)/dch
	ln -sf debi $(DESTDIR)$(COMPL_DIR)/debc
	# Special treatment for debpkg
	install -d $(DESTDIR)$(DATA_DIR)
	mv $(DESTDIR)$(BINDIR)/debpkg $(DESTDIR)$(DATA_DIR)
	cp debpkg-wrapper $(DESTDIR)$(BINDIR)/debpkg

.PHONY: test

=== test/Makefile ===

OUR_TESTS=						\
	annotate-output				\
	checkbashisms				\
	dd-list						\
	debchange					\
	package_lifecycle			\
	debdiff						\
	licensecheck				\
	licensecheck_SL				\
	uscan						\
	uscan_mangle				\
	mk-origtargz				

test: $(foreach i,$(OUR_TESTS),test_$(i).test)

%.test: %
	./$<

test-installed: $(foreach i,$(OUR_TESTS),test_$(i).test_installed)

%.test_installed: %
	./$< --installed

online-test:
	./test_uscan_online

.PHONY: test test-installed online-test

=== debian/changelog ===
devscripts (2.16.2ubuntu3) xenial; urgency=medium

  * debian/tests/control: Add mozilla-devscripts to shunit2 test Depends.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 19:39:08 -0600

devscripts (2.16.2ubuntu2) xenial; urgency=medium

  * debian/tests/control: Depend on build-essential and debhelper for
    test_package_lifecycle.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2016 14:44:30 +0000

devscripts (2.16.2ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Depend on liblwp-protocol-https-perl and libwww-perl for autopkgtests;
      these are also covered by needs-recommends, but an explicit dependency
      forces autopkgtest not to drop them during Perl transitions due to
      pinning only necessary packages from -proposed.
  * test_package_lifecycle: Adjust for Ubuntu: filter out output from
    pkg-create-dbgsym's dh_gencontrol wrapper, pass
    --set-envvar=NO_PKG_MANGLE=1 to debuild, and pass -U to debchange.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2016 01:48:57 +0000

devscripts (2.16.2) unstable; urgency=medium

  [ Osamu Aoki ]
  * uscan:
    + Print proper warnings for bad rules.  Closes: #814049
    + Fix glitches around rules such as "s<...> <...>g" and add their
      tests.
    + Reactivate --no-verbose mode.  Closes: #815645 
    + Fix --destdir for version 4.  Closes:#814686
    + Always use uscan_warn and uscan_die.
    + Die if the action script fails.  Closes: #810976
  * test_uscan:
    + Fix non-{Debian,Ubuntu} cases.  Closes: #816645
  * debsnap:
    + Add --list option.  Closes: #610048, #679763, #816910
  * manpage-alert:
    + Show package name etc.  Closes: #497320
  * bts:
    + Fail if --sendmail is broken.  Closes: #809318

  [ Dominique Dumont ]
  * licensecheck:
    + parse (c) owner with email like info@foo.com

  [ James McCoy ]
  * debsnap:
    + Only make the destination directory if there is something to download.
      (Closes: #816022)
    + Add --first & --last options to define a range of versions to download.
      Based on a patch by Ivo De Decker.  (Closes: #675867)
  * uscan:
    + Fix typo in dirversionmangle help.  (Closes: #816231)
  * grep-excuses:
    + Report excuses even when autoremoval info isn't reachable.  (Closes:
      #816723)
  * Replace references to debbindiff with diffoscope.  (Closes: #818299)
  * Declare compliance with policy 3.9.7, no changes required.

  [ Johannes Schauer ]
  * build-rdeps:
    + Generate correct dependency for cross builds.  Closes: #794538
    + Improve dependency resolver using dose3.  Closes: #797858

  [ Andreas Bombe ]
  * mk-build-deps:
    + Typo fix. Closes: #770642

  [ Adam D. Barratt ]
  * dcmd:
    + Correctly filter .buildinfo files.  This also avoids listing .dsc
      files twice.  (Closes: #818275)

 -- James McCoy <jamessan@debian.org>  Sat, 19 Mar 2016 14:34:39 -0400

devscripts (2.15.10ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Include proposed patch from Debian bug #794538 for mk-build-deps
      --host-arch.
    - Depend on liblwp-protocol-https-perl and libwww-perl for autopkgtests;
      these are also covered by needs-recommends, but an explicit dependency
      forces autopkgtest not to drop them during Perl transitions due to
      pinning only necessary packages from -proposed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jan 2016 11:01:37 +0000

devscripts (2.15.9ubuntu3) xenial; urgency=medium

  * Depend on liblwp-protocol-https-perl and libwww-perl for autopkgtests;
    these are also covered by needs-recommends, but an explicit dependency
    forces autopkgtest not to drop them during Perl transitions due to
    pinning only necessary packages from -proposed.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 00:43:44 +0000

devscripts (2.15.9ubuntu2) xenial; urgency=medium

  * Fix a test that wrongly uses "$SUFFIX" for the upstream tarball, causing it
    to work in Debian (SUFFIX=1) but fail in Ubuntu (SUFFIX=0ubuntu1).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 05:53:14 +0000

devscripts (2.15.9ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - include proposed patch from Debian bug #794538 for mk-build-deps
      --host-arch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2015 21:52:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: bash-completion,
                debhelper (>= 9),
                docbook-xsl,
@@ -77,8 +78,9 @@
 Suggests: bsd-mailx | mailx,
           build-essential,
           cvs-buildpackage,
-          debbindiff,
+          diffoscope,
           devscripts-el,
+          dose-extra (>= 4.0),
           gnuplot,
           gpgv | gpgv2,
           libauthen-sasl-perl,
@@ -106,10 +108,10 @@
     libauthen-sasl-perl, libnet-smtp-ssl-perl, libsoap-lite-perl, liburi-perl,
     libwww-perl, bsd-mailx | mailx]
   - build-rdeps: search for all packages that build-depend on a given package
-    [dctrl-tools]
+    [dctrl-tools, dose-extra]
   - chdist: tool to easily play with several distributions [dctrl-tools]
   - checkbashisms: check whether a /bin/sh script contains any common
-    bash-specific contructs
+    bash-specific constructs
   - cowpoke: upload a Debian source package to a cowbuilder host and build it,
     optionally also signing and uploading the result to an incoming queue
     [ssh-client]
@@ -135,7 +137,7 @@
     basing commit message on changelog [cvs | darcs | subversion | svk | tla |
     bzr | git-core | mercurial, libtimedate-perl]
   - debdiff: compare two versions of a Debian package to check for
-    added and removed files. Use the debbindiff package for deep comparisons.
+    added and removed files. Use the diffoscope package for deep comparisons.
     [wdiff, patchutils]
   - debi: install a just-built package
   - debpkg: dpkg wrapper to be able to manage/test packages without su

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, libdistro-info-perl, liblwp-protocol-https-perl, libwww-perl, zip, shunit2, libsoftware-license-perl, libuniversal-require-perl, gcc, build-essential, debhelper, mozilla-devscripts
Restrictions: allow-stderr needs-recommends

## devscripts 2.16.5

=== debian/changelog ===
devscripts (2.16.5) unstable; urgency=medium

  [ James McCoy ]
  * uscan:
    + Import catfile from File::Spec::Functions to fix use of unqualified
      name.  Thanks to Craig Small for the patch.  (Closes: #823218)
    + Use builtin die function when telling the user they don't have
      LWP::UserAgent installed, instead of calling an undefined function.
      (Closes: #826146)
  * Declare compliance with policy 3.9.8, no changes needed.

  [ Osamu Aoki ]
  * uscan:
    + Clarify --no-symlink meaning.  (Closes: #819111)
    + No output if upstream == debian and no errors.  (Closes: #822649)
    + Better @ANY_VERSION@ regex.  (Closes: #821224)
  * uupdate:
    + Use "dpkg-source --skip-patches ..." with -f to prevent patches to be
      applied.  Thanks Herbert Parentes Fortes Neto.  (Closes: #823350)
  * test_package_lifecycle:
    + Handle new output format for dpkg-dev utilities.  (Closes: #825228)

  [ Ben Finney ]
  * scripts/*.bash_completion:
    + Render U+0009 TAB to spaces.
    + Normalise editor hints to preserve formatting.
    + Standardise explanatory header block.
  * debdiff:
    + Include all options in Bash command completion.  (Closes: #824372)
    + Correct Bash completion for ‘--debs-dir’ option.  (Closes: #824369)

  [ Paul Wise ]
  * licensecheck:
    + Detect files containing "do not modify" as generated
    + Detect files containing "Generated data" as generated
    + Detect files containing "edit the original" as generated

  [ Dominique Dumont ]
  * licensecheck:
    + added --deb-fmt option to use dep-5 license keywords (see #472199)
    + parse "copyright-holders: John Doe" (See #820798)
    + Parse "license: BSD-x-Clause" declaration (Closes: #820798)

 -- James McCoy <jamessan@debian.org>  Fri, 03 Jun 2016 21:14:43 -0400

devscripts (2.16.4) unstable; urgency=medium

  * mk-build-deps:
    + Only remove the deb after install if --remove was specified.
  * uscan:
    + Return early from process_watchline if no download or sig verification
      is taking place.  (Closes: #822233)

 -- James McCoy <jamessan@debian.org>  Sat, 23 Apr 2016 21:33:42 -0400

devscripts (2.16.3) unstable; urgency=medium

  [ James McCoy ]
  * uscan:
    + Fix regression in processing FTP listings when file pattern is the tail
      of another filename.  (Closes: #818727)
    + Handle trailing spaces on the watch line when determining whether the
      line specifies the version to check.  (Closes: #818865)
    + xip → xpi in the manpage.  (Closes: #819106)

  [ Paul Wise ]
  * Update chdist bash-completion file with the architectures currently
    (as of 2016-04-02) listed on buildd.debian.org
  * Support xz compressed files in dd-list

  [ Christoph Berg ]
  * origtargz: Clarify manpage about when the tarball is unpacked.
    (Closes: #820494)

 -- James McCoy <jamessan@debian.org>  Wed, 20 Apr 2016 21:18:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: bash-completion,
                debhelper (>= 9),
                docbook-xsl,

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, libdistro-info-perl, zip, shunit2, libsoftware-license-perl, libuniversal-require-perl, gcc
Restrictions: allow-stderr needs-recommends

## devscripts 2.16.6ubuntu1

=== debian/changelog ===
devscripts (2.16.6ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Depend on liblwp-protocol-https-perl and libwww-perl for autopkgtests;
      these are also covered by needs-recommends, but an explicit dependency
      forces autopkgtest not to drop them during Perl transitions due to
      pinning only necessary packages from -proposed.
    - Depend on build-essential, debhelper, mozilla-devscripts for tests.
  * test_package_lifecycle: Adjust for Ubuntu: filter out output from
    pkg-create-dbgsym's dh_gencontrol wrapper, pass -U to debchange, and
    pass --set-envvar=NO_PKG_MANGLE=1 to debuild.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Jul 2016 10:42:04 -0600

devscripts (2.16.6) unstable; urgency=medium

  [ James McCoy ]
  * uscan:
    + Fix typo of "passive" in description of PASV FTP mode.  Thanks to Yann
      Dirson for the patch.  (Closes: #826321)
    + Fix an “undefined subroutine” error by using the, already imported, cwd
      function instead of getcwd.  (Closes: #827422)
  * dd-list:
    + Require an argument for ‘-s’ option, as intended, fixing a compatibility
      issue with Perl 5.24's Getopt::Long.  Thanks to Niko Tyni for the patch.
      (Closes: #826401)
  * debchange:
    + Merging the existing changelog stanza when a package is UNRELEASED and
      --newversion is used now also happens with --distribution.  Thanks to
      Ilias Tsitsimpi for the patch.  (Closes: #826837)
  * Replace git-import-orig references with gbp-import-orig.  Thanks to Guido
    Günther for the patch.  (Closes: #828758)
  * Remove licensecheck script and add a Recommends for the new licensecheck
    package.  (Closes: #828872)

  [ Paul Wise ]
  * uscan:
    + Fix typo of "release" in description of git repository mode
  * debsnap:
    + Avoid an extra / in the srcfiles URL
  * chdist:
    + add support for apt and suggest it instead of apt-get

  [ Antonio Terceiro ]
  * debc:
    + Added --list-debs option, which makes debc only list the filenames of
      the .deb files, and none of their contents.

  [ Osamu Aoki ]
  * uscan:
    + Fix watch file examples around pgpmode=none.

  [ Jakub Wilk ]
  * debcommit:
    + Fix typo in the manual page.
  * debdiff:
    + Fix typo in the manual page.
  * uscan:
    + Fix gpgv existence check.
    + Fix typos in the manual page.
  * who-permits-upload:
    + Fix typo in the manual page.
  * README:
    + Fix typo.

 -- James McCoy <jamessan@debian.org>  Sun, 03 Jul 2016 15:17:31 -0400

devscripts (2.16.2ubuntu4) yakkety; urgency=medium

  * Rebuild for yakkety release.
  * Fix licensecheck tests to expect the right strings for BSD.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 02 May 2016 07:29:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
@@ -16,9 +17,7 @@
                gnupg | gnupg2,
                libdistro-info-perl,
                libfile-desktopentry-perl,
-               libsoftware-license-perl,
                libtimedate-perl,
-               libuniversal-require-perl,
                liburi-perl,
                libwww-perl,
                lsb-release,
@@ -61,6 +60,7 @@
             libencode-locale-perl,
             liburi-perl,
             libwww-perl,
+            licensecheck,
             lintian,
             man-db,
             patch,
@@ -169,7 +169,6 @@
   - getbuildlog: download package build logs from Debian auto-builders [wget]
   - grep-excuses: grep the update_excuses.html file for your packages
     [libterm-size-perl, wget, w3m]
-  - licensecheck: attempt to determine the license of source files
   - list-unreleased: search for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [bsd-mailx | mailx]

## devscripts 2.16.8ubuntu2

=== debian/changelog ===
devscripts (2.16.8ubuntu2) zesty; urgency=medium

  * Fix pyflakes errors with sadt, suspicious-source, and wrap-and-sort fixes
    FTBFS. (LP: #1679807)

 -- Brian Murray <brian@ubuntu.com>  Tue, 04 Apr 2017 12:23:02 -0700

devscripts (2.16.8ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable; remaining changes:
    - Depend on liblwp-protocol-https-perl and libwww-perl for autopkgtests;
      these are also covered by needs-recommends, but an explicit dependency
      forces autopkgtest not to drop them during Perl transitions due to
      pinning only necessary packages from -proposed.
    - Depend on build-essential, debhelper, mozilla-devscripts for tests.
    - test_package_lifecycle: Adjust for Ubuntu: filter out output from
      pkg-create-dbgsym's dh_gencontrol wrapper, pass -U to debchange, and
      pass --set-envvar=NO_PKG_MANGLE=1 to debuild.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 09:20:45 -0600

devscripts (2.16.8) unstable; urgency=medium

  [ Paul Wise ]
  * Add some more Debian development & QA tools to Suggests:
    adequate autopkgtest bls-standalone check-all-the-things
    duck how-can-i-help piuparts ratt

  [ Antonio Terceiro ]
  * New script: debrepro, a simple reproducibility tester specific for Debian
    packages.  (Closes: #786755)

  [ James McCoy ]
  * deb-reversion: Update md5sum of changelog if it's changed.  (Closes:
    #836725)
  * Change Getopt::Long configuration to disable gnu_compat so an '=' isn't
    required for optional arguments (e.g. "dch --news=").
  * chdist:
    + Silence warnings about uninitialized values.  Thanks to Christoph Biedl
      for the patch.  (Closes: #838185)
    + For compare-bin-packages, use the newest version of a package if
      multiple versions exist.  Thanks to Christoph Biedl for the patch.
      (Closes: #838184)

 -- James McCoy <jamessan@debian.org>  Fri, 30 Sep 2016 22:17:07 -0400

devscripts (2.16.7) unstable; urgency=medium

  [ Paul Wise ]
  * grep-excuses:
    + Fix the script for the removal of testing.pl from release.debian.org
  * dscverify:
    + Fix bash completion of the --no-conf option
  * uscan:
    + Strip whitespace from hrefs before processing (Closes: #833779)
    + Debug mode: print hrefs before checking them
  * Suggest reprotest for reproducible builds testing (Closes: #786755)

  [ Jakub Wilk ]
  * wnpp-alert:
    + Use HTTPS.

  [ Salvatore Bonaccorso ]
  * debchange: Add support for buster and bullseye
  * bts: Add the "bullseye" and "bullseye-ignore" tags.

  [ Christoph Berg ]
  * origtargz: Fix unpacking of tarballs found in --path.

  [ James McCoy ]
  * Remove . from @INC when loading modules dynamically. [CVE-2016-1238]
    (Closes: #832441)

 -- James McCoy <jamessan@debian.org>  Mon, 22 Aug 2016 00:01:48 -0400

=== debian/control ===
--- 
+++ 
@@ -74,14 +74,22 @@
             wget | curl,
             xz-utils,
             ${vendor:Recommends}
-Suggests: bsd-mailx | mailx,
+Suggests: adequate,
+          autopkgtest,
+          bls-standalone,
+          bsd-mailx | mailx,
           build-essential,
+          check-all-the-things,
           cvs-buildpackage,
+          devscripts-el,
           diffoscope,
-          devscripts-el,
+          disorderfs,
           dose-extra (>= 4.0),
+          duck,
+          faketime,
           gnuplot,
           gpgv | gpgv2,
+          how-can-i-help,
           libauthen-sasl-perl,
           libfile-desktopentry-perl,
           libnet-smtp-ssl-perl,
@@ -90,6 +98,9 @@
           libyaml-syck-perl,
           mozilla-devscripts,
           mutt,
+          piuparts,
+          ratt,
+          reprotest,
           ssh-client,
           svn-buildpackage,
           w3m,
@@ -140,6 +151,8 @@
     [wdiff, patchutils]
   - debi: install a just-built package
   - debpkg: dpkg wrapper to be able to manage/test packages without su
+  - debrepro: reproducibility tester for Debian packages  [faketime,
+    diffoscope, disorderfs]
   - debrelease: wrapper around dupload or dput [dupload | dput, ssh-client]
   - debsign, debrsign: sign a .changes/.dsc pair without needing any of
     the rest of the package to be present; can sign the pair remotely
@@ -163,7 +176,7 @@
     control field needed [build-essential, strace]
   - dscextract: extract a single file from a Debian source package [patchutils]
   - dscverify: verify the integrity of a Debian package from the
-    .changes or .dsc files [gnupg | gnupg2, debian-keyring, libdigest-md5-perl]
+    .changes or .dsc files [gnupg | gnupg2, debian-keyring]
   - edit-patch: add/edit a patch for a source package and commit the changes
     [quilt | dpatch | cdbs]
   - getbuildlog: download package build logs from Debian auto-builders [wget]

=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, libdistro-info-perl, liblwp-protocol-https-perl, libwww-perl, zip, shunit2, gcc, build-essential, debhelper, mozilla-devscripts
Restrictions: allow-stderr needs-recommends
